## EPITECH PROJECT, 2018
## PSU_2017_malloc
## File description:
## Makefile
##

## Global arg


NAME = unit_test
TEST_LOG = ref.log
REF_LOG = test.log

LD_TEST = libasm.so

SRC =	Mouli_ASM.c

OBJ = $(SRC:.c=.o)

CC = gcc

CFLAGS =	-W -Wall -Werror -Wextra
LDFLAG =	-ldl

CMP = $(CC) $(CFLAGS) -o $@ $^ $(LDFLAG)

## Rule

all: $(NAME)

$(NAME): $(OBJ)
	$(CMP)

test: re
	./$(NAME)

.PHONY: clean fclean re

clean:
	rm -f $(OBJ)

fclean: clean
	rm -f $(NAME) $(TEST_LOG) $(REF_LOG)

re:	fclean all
